# jquery-countdown-button

[![npm version](https://img.shields.io/npm/v/jquery-countdown-button.svg)](https://www.npmjs.com/package/jquery-countdown-button)
[![npm downloads](https://img.shields.io/npm/dt/jquery-countdown-button.svg)](https://www.npmjs.com/package/jquery-countdown-button)
[![David](https://david-dm.org/zenkiezhu/jquery-countdown-button.svg)](https://david-dm.org/zenkiezhu/jquery-countdown-button)

Disable a clicked button until countdown finished


## Installation

 `npm install jquery-countdown-button --save`


## Usage

See [demo](https://zenkiezhu.github.io/jquery-countdown-button/)


## API

### Init
```javascript
$('some button').countdownButton(options)
```

### Options
| Name        | type     | default | description                                                |
|-------------|----------|---------|------------------------------------------------------------|
| seconds     | number   | 60      | seconds to timeout                                         |
| beforeClick | function | $.noop  | called before countdown, return false to prevent the click |
| onClick     | function | $.noop  | called after countdown setup                               |
